####
##Create a lexicon of ALL tags used across ALL four taggers
##tidyr has a function "unite" that can be used for this
##We will first create a new dataframe in which the four columns of tagger output are collapsed into the variable "tags"

##The following will produce a dataframe called "all_tags" that appends the new variable (column) to the original dataset
all_tags <- unite(data, tags, c(Clarifai, Microsoft, Watson, Imagga), sep=" ", remove=TRUE)
##the following will produce a dataframe with just the new column, which is all we need
all_tags <- unite(data[,70:73], tags, c(Clarifai, Microsoft, Watson, Imagga), sep=" ", remove=TRUE)

#check to see that we have 70 variables (rather than the original 73)
dim(all_tags)

#now just collapse everything (i.e., all rows) together in one object
taglist <- paste(unlist(all_tags$tags), collapse="")

#now keep only unique tags
tags_unique <- vapply(lapply(strsplit(taglist, " "), unique), paste, character(1L), collapse = " ")

#Convert the list back to a vector
tags <- str_split(tags_unique, " ")

#save as *.csv 
write.csv(tags, file="unique_tags.csv")




