###
#One simple approach to match the output tags against a given wordlist is to grep on the union of the words
#The output is a vector with the indices of the images that contain at least one of our words
grep("man|boy|male|guy|son", data$Imagga)
grep("woman|girl|female|lady|heroine", data$Clarifai)

#take the length in order to see how many images' tags contain the target words, e.g.,
length(grep("woman|girl|female|lady|heroine", data$Clarifai))
length(grep("man|boy|male|guy|son", data$Clarifai))

##We observe that all taggers use masculine tags in nearly all the images! 
##However, they are more "cautious" about using female tags


##Let's create a binary variable for the use of (at least one) female OR male word
female_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   female_clarifai[i,1][grep("woman|girl|female|lady|heroine",data$Clarifai[i])==1] <- 1
}

male_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   male_clarifai[i,1][grep("man|boy|male|guy|son", data$Clarifai[i])==1] <- 1
}


###
#Confusion matrix
#Create a binary variable to indicate that a person's gender has been correctly inferred

###Clarifai
data$GenderClarifai <- 0
data$GenderClarifai[female_clarifai=="0" & male_clarifai=="1" & data$Gender=="M"] <- 1
data$GenderClarifai[male_clarifai=="0" & female_clarifai=="1" & data$Gender=="F"] <- 1


> table(data$GenderClarifai,data$Gender)
   
          F   M
  0   0 307   1
  1   0   0 289

####Microsoft

> data$GenderMicrosoft <- 0
> data$GenderMicrosoft[female_microsoft=="0" & male_microsoft=="1" & data$Gender=="M"] <- 1
> data$GenderMicrosoft[female_microsoft=="1" & male_microsoft=="0" & data$Gender=="F"] <- 1
> table(data$GenderMicrosoft,data$Gender)
   
          F   M
  0   0 307   6
  1   0   0 284


###Watson
> data$GenderWatson <- 0
> data$GenderWatson[female_watson=="0" & male_watson=="1" & data$Gender=="M"] <- 1
> data$GenderWatson[female_watson=="1" & male_watson=="0" & data$Gender=="F"] <- 1
> table(data$GenderWatson,data$Gender)
   
          F   M
  0   0 307   3
  1   0   0 287

###Imagga
> data$GenderImagga <- 0
> data$GenderImagga[female_imagga=="0" & male_imagga=="1" & data$Gender=="M"] <- 1
> data$GenderImagga[female_imagga=="1" & male_imagga=="0" & data$Gender=="F"] <- 1
> table(data$GenderImagga,data$Gender)
   
          F   M
  0   0 307   0
  1   0   0 290

