test.list <- read.csv("attractive_tags.csv", header=TRUE)

#Check to see if any of the words appears in each tagger's output
grep("cute|pretty|attractive|model|fine-looking|handsome|sexy|elegant|fashionable|glamour|trendy", data$Clarifai)
grep("cute|pretty|attractive|model|fine-looking|handsome|sexy|elegant|fashionable|glamour|trendy", data$Microsoft)
grep("cute|pretty|attractive|model|fine-looking|handsome|sexy|elegant|fashionable|glamour|trendy", data$Watson)
grep("cute|pretty|attractive|model|fine-looking|handsome|sexy|elegant|fashionable|glamour|trendy", data$Imagga)
#You can also put the above into the function length() in order to count the number of cases which match the words/tags
#--> Only Clarifai and Imagga assigned "attractiveness" tags



#Now let's get a separate count on each of the 11 "attractiveness" words for Clarifai
cute_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   cute_clarifai[i,1][grep("cute",data$Clarifai[i])==1] <- 1
}


pretty_clarifai <- matrix(0, 597, 1)
for (i in 1:597) 
{
   pretty_clarifai[i,1][grep("pretty",data$Clarifai[i])==1] <- 1
}


attractive_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   attractive_clarifai[i,1][grep("attractive",data$Clarifai[i])==1] <- 1
}


model_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   model_clarifai[i,1][grep("model",data$Clarifai[i])==1] <- 1
}


finelooking_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   finelooking_clarifai[i,1][grep("fine-looking",data$Clarifai[i])==1] <- 1
}


handsome_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   handsome_clarifai[i,1][grep("handsome",data$Clarifai[i])==1] <- 1
}


sexy_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   sexy_clarifai[i,1][grep("sexy",data$Clarifai[i])==1] <- 1
}


elegant_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   elegant_clarifai[i,1][grep("elegant",data$Clarifai[i])==1] <- 1
}


fashionable_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   fashionable_clarifai[i,1][grep("fashionable",data$Clarifai[i])==1] <- 1
}


glamour_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   glamour_clarifai[i,1][grep("glamour",data$Clarifai[i])==1] <- 1
}


trendy_clarifai <- matrix(0, 597, 1)
for (i in 1:597)
{
   trendy_clarifai[i,1][grep("trendy",data$Clarifai[i])==1] <- 1
}


###now let's compute a score - the proportion of tags output for an image that refer to physical attractiveness
#first, we need to find the total number of tags assigned


data$Clarifai_length <- 0
 for (i in 1:597)
 {
    x <- toString(data$Clarifai[i])
    data$Clarifai_length[i] <- sapply(strsplit(x, " "), length)
 }


data$Imagga_length <- 0
 for (i in 1:597)
 {
    x <- toString(data$Imagga[i])
    data$Imagga_length[i] <- sapply(strsplit(x, " "), length)
 }


##
#Now sum the counts on the words and divide by the total tags

data$AttractiveScore_Clarifai <- (cute_clarifai + pretty_clarifai + attractive_clarifai + model_clarifai + fine_clarifai + handsome_clarifai + sexy_clarifai + elegant_clarifai + fashionable_clarifai + glamour_clarifai + trendy_clarifai) / data$Clarifai_length
data$AttractiveScore_Imagga <- (cute_imagga + pretty_imagga + attractive_imagga + model_imagga + fine_imagga + handsome_imagga + sexy_imagga + elegant_imagga + fashionable_imagga + glamour_imagga + trendy_imagga) / data$Imagga_length


##check the distribution on these scores
#

summary(data$AttractiveScore_clarifai)
##median of 0.10, mean of 0.095

summary(data$AttractiveScore_Imagga)
##median of 0.17, mean of 0.17


