##Let's first see if the human ratings are correlated to our tagger attractiveness scores
#
##Clarifai
#
> cor.test(data$Attractive, data$AttractiveScore_clarifai)

	Pearson's product-moment correlation

data:  data$Attractive and data$AttractiveScore_clarifai
t = 7.981, df = 595, p-value = 7.502e-15
alternative hypothesis: true correlation is not equal to 0
95 percent confidence interval:
 0.2366267 0.3816883
sample estimates:
      cor 
0.3109674


##Imagga
#
> cor.test(data$Attractive, data$AttractiveScore_Imagga)

	Pearson's product-moment correlation

data:  data$Attractive and data$AttractiveScore_Imagga
t = 8.5468, df = 595, p-value < 2.2e-16
alternative hypothesis: true correlation is not equal to 0
95 percent confidence interval:
 0.2572535 0.4002963
sample estimates:
      cor 
0.3306727 



##Let's use ANOVA to examine the correlation between race/gender and the use of attractiveness tags
#

##Clarifai
#

> mc <- aov(data$AttractiveScore_Clarifai ~ data$Gender*data$Race, data=data)
> summary(mc)
                       Df Sum Sq Mean Sq F value Pr(>F)    
data$Gender             1 0.2076 0.20760  125.30 <2e-16 ***
data$Race               3 0.1474 0.04914   29.66 <2e-16 ***
data$Gender:data$Race   3 0.0139 0.00464    2.80 0.0394 *  
Residuals             589 0.9759 0.00166                   
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


> TukeyHSD(mc)
  Tukey multiple comparisons of means
    95% family-wise confidence level

Fit: aov(formula = data$AttractiveScore_Clarifai ~ data$Gender * data$Race, data = data)

$`data$Gender`
           diff         lwr         upr p adj
M-F -0.03731102 -0.04385742 -0.03076461     0

$`data$Race`
             diff          lwr         upr     p adj
B-A -0.0316277315 -0.044146648 -0.01910882 0.0000000
L-A  0.0002115336 -0.014026733  0.01444980 0.9999798
W-A  0.0034927630 -0.009195583  0.01618111 0.8934499
L-B  0.0318392651  0.019283092  0.04439544 0.0000000
W-B  0.0351204945  0.024353722  0.04588727 0.0000000
W-L  0.0032812294 -0.009443878  0.01600634 0.9104461

##Summary of main effects
#Women are described with more "attractive" words as compared to men
#Whiles and Latinos are described with more "attractive" words as compared to blacks
#Asians are described with more "attractive" words as comapred to blacks

##Check the effect sizes
> library(lsr)
> etaSquared(mc)
                          eta.sq eta.sq.part
data$Gender           0.15979725  0.18046903
data$Race             0.10962170  0.13123951
data$Gender:data$Race 0.01034847  0.01406029


##Imagga
#

> mi <- aov(data$AttractiveScore_Imagga ~ data$Gender*data$Race, data=data)
> summary(mi)
                       Df Sum Sq Mean Sq F value  Pr(>F)    
data$Gender             1 0.3272  0.3272  79.293 < 2e-16 ***
data$Race               3 0.3510  0.1170  28.360 < 2e-16 ***
data$Gender:data$Race   3 0.0499  0.0166   4.031 0.00745 ** 
Residuals             589 2.4302  0.0041                    
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

> TukeyHSD(mi)
  Tukey multiple comparisons of means
    95% family-wise confidence level

Fit: aov(formula = data$AttractiveScore_Imagga ~ data$Gender * data$Race, data = data)

$`data$Gender`
           diff         lwr         upr p adj
M-F -0.04683783 -0.05716829 -0.03650737     0

$`data$Race`
             diff         lwr          upr     p adj
B-A -6.606181e-02 -0.08581710 -0.046306516 0.0000000
L-A -2.520309e-02 -0.04767158 -0.002734606 0.0207815
W-A -2.521557e-02 -0.04523823 -0.005192908 0.0067983
L-B  4.085871e-02  0.02104463  0.060672800 0.0000009
W-B  4.084624e-02  0.02385589  0.057836589 0.0000000
W-L -1.247278e-05 -0.02009314  0.020068196 1.0000000

##
#B,L,W < A
#L > B
#W > B

##Again, medium effect sizes
> etaSquared(mi)
                          eta.sq eta.sq.part
data$Gender           0.10606341  0.12114218
data$Race             0.11114943  0.12621805
data$Gender:data$Race 0.01579726  0.02011718

